io.vertx.redis.op

## Enum ClientReplyOptions

- java.lang.Object
- - java.lang.Enum<ClientReplyOptions>
  - - io.vertx.redis.op.ClientReplyOptions

- All Implemented Interfaces:
    Serializable, Comparable<ClientReplyOptions>

  Deprecated.
  Use `Redis`

      @Deprecated
      public enum ClientReplyOptions
      extends Enum<ClientReplyOptions>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `OFF` Deprecated.
    `ON` Deprecated.
    `SKIP` Deprecated.

  - ### Method Summary

    All Methods Static Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ClientReplyOptions` | `valueOf(String name)` Deprecated. Returns the enum constant of this type with the specified name.
    `static ClientReplyOptions[]` | `values()` Deprecated. Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ON

          public static final ClientReplyOptions ON

      Deprecated.

    - #### OFF

          public static final ClientReplyOptions OFF

      Deprecated.

    - #### SKIP

          public static final ClientReplyOptions SKIP

      Deprecated.

  - ### Method Detail

    - #### values

          public static ClientReplyOptions[] values()

      Deprecated.
      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ClientReplyOptions c : ClientReplyOptions.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ClientReplyOptions valueOf(String name)

      Deprecated.
      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2022 Eclipse. All rights reserved.